petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscLayoutSetISLocalToGlobalMapping

sets a ISLocalGlobalMapping into a PetscLayout

### Synopsis

    #include "petscis.h"
    PetscErrorCode PetscLayoutSetISLocalToGlobalMapping(PetscLayout in,ISLocalToGlobalMapping ltog)

Collective on PetscLayout

### Input Parameter

| in | - input PetscLayout
| ltog | - the local to global mapping

### Notes

PetscLayoutSetUp() does not need to be called on the resulting PetscLayout

If the ltog location already contains a PetscLayout it is destroyed

### See Also

PetscLayoutCreate(), PetscLayoutDestroy(), PetscLayoutSetUp(), PetscLayoutDuplicate()

### Level

developer

### Location

src/vec/is/utils/pmap.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages